Bug 1438521 - Some TreeNode elements are not clickable when their active children aren't in the tree
Summary: Some TreeNode elements are not clickable when their active children aren't in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Dávid Halász
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:tree_view
Depends On: 1438361
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-03 15:46 UTC by Satoe Imaishi
Modified: 2017-05-31 14:46 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1438361
Environment:
Last Closed: 2017-05-31 14:46:00 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-03 22:23:04 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/a48acc58930046b2210e7732d5f0f26afa5d3dd6

commit a48acc58930046b2210e7732d5f0f26afa5d3dd6
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Mon Apr 3 11:22:58 2017 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 3 18:19:50 2017 -0400

    Merge pull request #872 from skateman/allow-reselect
    
    Allow node reselect in trees where is no other way to get back
    (cherry picked from commit e5dbbad567695548815a0188244b1f60a52d65cd)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1438521

 .../tree_builder_automation_manager_configured_systems.rb         | 2 +-
 .../tree_builder_configuration_manager_configured_systems.rb      | 2 +-
 app/presenters/tree_builder_containers_filter.rb                  | 2 +-
 app/presenters/tree_builder_images_filter.rb                      | 8 +++-----
 app/presenters/tree_builder_instances_filter.rb                   | 8 +++-----
 app/presenters/tree_builder_storage.rb                            | 2 +-
 app/presenters/tree_builder_vms_filter.rb                         | 4 ++--
 app/presenters/tree_builder_vms_instances_filter.rb               | 5 ++---
 8 files changed, 14 insertions(+), 19 deletions(-)

Comment 3 Matouš Mojžíš 2017-04-25 11:18:34 UTC
Verified in 5.8.0.11. Upper level tree nodes are clickable now.

Comment 5 errata-xmlrpc 2017-05-31 14:46:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.